Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR > Class Template Reference

This class implements a timeprobe for use in a Metrics framework. More...

`#include <Metrics_Cache_T.h>`

Inheritance diagram for ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >:

[legend]
Collaboration diagram for ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >:

[legend]
List of all members.

## Public Types
typedef ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR > | ACE_METRICS_TIMEPROBE_TYPE
typedef ACE_timeprobe_t | ACE_METRICS_TIMEPROBE_DATA_TYPE
typedef ACE_METRICS_TIMEPROBE_TYPE * | ACE_METRICS_TIMEPROBE_BASED_PTR_TYPE
typedef char * | ACE_METRICS_NAME_BASED_PTR_TYPE
enum | event_id { WORK_START = 0, WORK_STOP = 1, WORK_SUSPEND = 2, WORK_RESUME = 3 }
## Public Methods
| ACE_Metrics_Timeprobe (u_int id=0, const char *name=0, u_long size=METRICS_DEFAULT_TIMEPROBE_TABLE_SIZE)
| ACE_Metrics_Timeprobe (ALLOCATOR *allocatorPtr, u_int id=0, const char *name=0, u_long size=METRICS_DEFAULT_TIMEPROBE_TABLE_SIZE)
virtual | ~ACE_Metrics_Timeprobe ()
int | is_event (const ACE_METRICS_TIMEPROBE_DATA_TYPE &t, ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::event_id id)
const char * | probe_name (void)
void | probe_name (char *name)
u_int | probe_id (void)
void | probe_id (u_int id)
void | flush_ACE_Metrics_Timeprobe ()
## Protected Attributes
u_int | id_
char * | name_
## Private Methods
| ACE_Metrics_Timeprobe (const ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR > &)
void | operator= (const ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR > &)

## Detailed Description

### template<class ACE_LOCK, class ALLOCATOR>
class ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >

This class implements a timeprobe for use in a Metrics framework.

This class provides a probe for specific thread and method call metrics timing points.

## Member Typedef Documentation

template<class ACE_LOCK, class ALLOCATOR>
typedef char* ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::ACE_METRICS_NAME_BASED_PTR_TYPE

template<class ACE_LOCK, class ALLOCATOR>
typedef ACE_METRICS_TIMEPROBE_TYPE* ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::ACE_METRICS_TIMEPROBE_BASED_PTR_TYPE

template<class ACE_LOCK, class ALLOCATOR>
typedef ACE_timeprobe_t ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::ACE_METRICS_TIMEPROBE_DATA_TYPE

template<class ACE_LOCK, class ALLOCATOR>
typedef ACE_Metrics_Timeprobe<ACE_LOCK, ALLOCATOR> ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::ACE_METRICS_TIMEPROBE_TYPE

## Member Enumeration Documentation

template<class ACE_LOCK, class ALLOCATOR>
enum ACE_Metrics_Timeprobe::event_id

  | Enumeration values:
  WORK_START |
  WORK_STOP |
  WORK_SUSPEND |
  WORK_RESUME |

## Constructor & Destructor Documentation

template<class ACE_LOCK, class ALLOCATOR>
ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::ACE_Metrics_Timeprobe | ( | u_int | id = 0,
|  | const char * | name = 0,
|  | u_long | size = METRICS_DEFAULT_TIMEPROBE_TABLE_SIZE
| ) |

template<class ACE_LOCK, class ALLOCATOR>
ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::ACE_Metrics_Timeprobe | ( | ALLOCATOR * | allocatorPtr,
|  | u_int | id = 0,
|  | const char * | name = 0,
|  | u_long | size = METRICS_DEFAULT_TIMEPROBE_TABLE_SIZE
| ) |

template<class ACE_LOCK, class ALLOCATOR>
virtual ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::~ACE_Metrics_Timeprobe | ( |  | ) | `[virtual]`

template<class ACE_LOCK, class ALLOCATOR>
ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::ACE_Metrics_Timeprobe | ( | const ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR > & |  | ) | `[private]`

## Member Function Documentation

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::flush_ACE_Metrics_Timeprobe | ( |  | ) |

template<class ACE_LOCK, class ALLOCATOR>
int ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::is_event | ( | const ACE_METRICS_TIMEPROBE_DATA_TYPE & | t,
|  | ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::event_id | id
| ) |

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::operator= | ( | const ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR > & |  | ) | `[private]`

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::probe_id | ( | u_int | id | ) |

template<class ACE_LOCK, class ALLOCATOR>
u_int ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::probe_id | ( | void |  | ) |

template<class ACE_LOCK, class ALLOCATOR>
void ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::probe_name | ( | char * | name | ) |

template<class ACE_LOCK, class ALLOCATOR>
const char* ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::probe_name | ( | void |  | ) |

## Member Data Documentation

template<class ACE_LOCK, class ALLOCATOR>
u_int ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::id_`[protected]`

template<class ACE_LOCK, class ALLOCATOR>
char* ACE_Metrics_Timeprobe< ACE_LOCK, ALLOCATOR >::name_`[protected]`

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Metrics_Cache_T.h